## docker-php

php 环境 docker 容器,[docker-php官方github仓库](https://github.com/docker-library/php)。首先说一下 [docker官方php镜像](https://hub.docker.com/_/php)：

php有php5.6,php7等版本；服务器镜像有alpine/ubuntu/centos等版本；机器有x86/arm；还有 php+apache 镜像（php-cli/）这样组合就有很多可能，官方有 2996 个 tag。这么多镜像用哪个：

1. 选择php版本，7.1/7.2/7.3

2. 选择 apache 组合，apache/cli/fpm/zts

3. 选择平台，alpine3.10/buster/stretch

组合一下就是：7.3-apache-buster, 7.2-fpm-alpine3.10 。所有 tag 目录如下： https://github.com/docker-library/docs/blob/master/php/README.md#supported-tags-and-respective-dockerfile-links


## docker中php开发环境搭建

官方镜像不附带 xdebug/redis/mysql，所以本项目构建开发镜像或compose stack：

```
docker pull nginx
docker pull mysql
docker pull php:7.1.0-fpm
```

## usage

1. 把 php 代码放入 src 目录，默认配置mysql+php+nginx环境。
其中，mysql 默认密码：

2. 执行：
```
docker-compose up
```

3. 访问 http://ip 即可
